OpenCV: cv::viz::WPaintedCloud Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | List of all members
cv::viz::WPaintedCloud Class Reference
3D Visualizer » Widget

`#include "widgets.hpp"`

Inheritance diagram for cv::viz::WPaintedCloud:

## Public Member Functions
| WPaintedCloud (InputArray cloud)
| Paint cloud with default gradient between cloud bounds points. More...
| WPaintedCloud (InputArray cloud, const Point3d &p1, const Point3d &p2)
| Paint cloud with default gradient between given points. More...
| WPaintedCloud (InputArray cloud, const Point3d &p1, const Point3d &p2, const Color &c1, const Color c2)
| Paint cloud with gradient specified by given colors between given points. More...
Public Member Functions inherited from cv::viz::Widget3D
| Widget3D ()
void | applyTransform (const Affine3d &transform)
| Transforms internal widget data (i.e. points, normals) using the given transform. More...
Affine3d | getPose () const
| Returns the current pose of the widget. More...
void | setColor (const Color &color)
| Sets the color of the widget. More...
void | setPose (const Affine3d &pose)
| Sets pose of the widget. More...
void | updatePose (const Affine3d &pose)
| Updates pose of the widget by pre-multiplying its current pose. More...
Public Member Functions inherited from cv::viz::Widget
| Widget ()
| Widget (const Widget &other)
| ~Widget ()
template<typename _W >
_W | cast ()
| Casts a widget to another. More...
template<>
Widget2D | cast ()
| Utility exports. More...
template<>
Widget3D | cast ()
template<>
WLine | cast ()
template<>
WPlane | cast ()
template<>
WSphere | cast ()
template<>
WCylinder | cast ()
template<>
WArrow | cast ()
template<>
WCircle | cast ()
template<>
WCone | cast ()
template<>
WCube | cast ()
template<>
WCoordinateSystem | cast ()
template<>
WPolyLine | cast ()
template<>
WGrid | cast ()
template<>
WText3D | cast ()
template<>
WText | cast ()
template<>
WImageOverlay | cast ()
template<>
WImage3D | cast ()
template<>
WCameraPosition | cast ()
template<>
WTrajectory | cast ()
template<>
WTrajectoryFrustums | cast ()
template<>
WTrajectorySpheres | cast ()
template<>
WCloud | cast ()
template<>
WPaintedCloud | cast ()
template<>
WCloudCollection | cast ()
template<>
WCloudNormals | cast ()
template<>
WMesh | cast ()
template<>
WWidgetMerger | cast ()
double | getRenderingProperty (int property) const
| Returns rendering property of the widget. More...
Widget & | operator= (const Widget &other)
void | setRenderingProperty (int property, double value)
| Sets rendering property of the widget. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::viz::Widget
static Widget | fromPlyFile (const String &file_name)
| Creates a widget from ply file. More...

## Constructor & Destructor Documentation

## ◆ WPaintedCloud() [1/3]

cv::viz::WPaintedCloud::WPaintedCloud | ( | InputArray | cloud | ) |

Paint cloud with default gradient between cloud bounds points.

## ◆ WPaintedCloud() [2/3]

cv::viz::WPaintedCloud::WPaintedCloud | ( | InputArray | cloud,
|  | const Point3d & | p1,
|  | const Point3d & | p2
| ) |  |

Paint cloud with default gradient between given points.

## ◆ WPaintedCloud() [3/3]

cv::viz::WPaintedCloud::WPaintedCloud | ( | InputArray | cloud,
|  | const Point3d & | p1,
|  | const Point3d & | p2,
|  | const Color & | c1,
|  | const Color | c2
| ) |  |

Paint cloud with gradient specified by given colors between given points.

The documentation for this class was generated from the following file:

- viz/include/opencv2/viz/widgets.hpp